Home

# Class goog.module.ModuleLoader

A class that loads Javascript modules.

extends goog.module.BaseModuleLoader

Instance Method Summary
| `createScriptElement_(string uri) ⇒ ?Element` Create a script tag.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `handleError(?goog.net.BulkLoader bulkLoader, ?Array.<string> moduleIds, function ((null|number)): ? errorFn, number status)` Handles an error during a request for one or more modules.
| `handleSuccess(?goog.net.BulkLoader bulkLoader, ?Array.<string> moduleIds, function (): ? successFn, function ((null|number)): ? errorFn)` Handles a successful response to a request for one or more modules.
| `loadModulesInternal(?Array.<string> ids, ?Object moduleInfoMap, ?function (): ?= opt_successFn, ?function (number): ?= opt_errorFn, ?function (): ?= opt_timeoutFn, boolean= opt_forceReload)` Loads a list of JavaScript modules.